Add a new category
Add a new category to portal
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
portal_slug*stringThe slug of the portal. The numeric portal ID is not accepted.
application/json- body
name?stringThe name of the category
description?stringA description for the category
position?integerCategory position in the portal list to sort
slug?stringThe category slug used in the URL
locale?stringThe locale of the category
icon?stringThe icon of the category as a string (emoji)
parent_category_id?integerTo define parent category, e.g product documentation has multiple level features in sales category or in engineering category.
associated_category_id?integerTo associate similar categories to each other, e.g same category of product documentation in different languages
Success
application/json- response
id?integerdescription?stringThe text content.
locale?stringname?stringslug?stringposition?integerportal_id?integeraccount_id?integerassociated_category_id?integerTo associate similar categories to each other, e.g same category of product documentation in different languages
parent_category_id?integerTo define parent category, e.g product documentation has multiple level features in sales category or in engineering category.
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals/handbook/categories' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "description": "string", "locale": "string", "name": "string", "slug": "string", "position": 0, "portal_id": 0, "account_id": 0, "associated_category_id": 0, "parent_category_id": 0}